use crate::vulkano::queues::Queues;
use std::sync::Arc;
use vulkano::device::Device;
use vulkano::instance::Instance;
use vulkano::memory::allocator::StandardMemoryAllocator;

struct Context {
    instance: Arc<Instance>,
    device: Arc<Device>,
    queues: Queues,
    memory_allocator: Arc<StandardMemoryAllocator>,
}
